Summary: The Advanced Linux Sound Architecture (ALSA) library
Name: alsa-lib
Version: 1.0.4
Release: 0.fdr.1.1
Epoch: 	0
License: LGPL
Group: 	System Environment/Libraries
Source: ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}.tar.bz2
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: doxygen
Prereq: /sbin/ldconfig

%description
This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%package devel
Summary: Software development files for the ALSA library
Group: Development/Libraries
Requires: %{name} = %epoch:%version-%release
Requires: pkgconfig

%description devel
This package contains an object-oriented C library which covers and
enhances the ALSA kernel driver functionality for applications
(client/server, plugins, PCM sharing/multiplexing, PCM metering, etc.)
This package contains files needed for compiling or developing software
which uses the ALSA library.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    --enable-static=yes \
    --program-prefix=%{?_program_prefix}
%{__make} %{?_smp_mflags}
%{__make} doc

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING INSTALL MEMORY-LEAK ChangeLog TODO doc/asoundrc.txt
%{_bindir}/alsalisp
%{_bindir}/aserver
%{_libdir}/libasound.so.*
%{_datadir}/alsa

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%exclude %{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Sat Apr 03 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.4-0.fdr.1
- Update to 1.0.4

* Wed Jan 28 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.2-0.fdr.1
- Update to 1.0.2

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.1-0.fdr.1
- Update to 1.0.1

* Sat Dec 06 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.4.rc2
- Update to 1.0.0rc2
- some minor corrections in style

* Fri Dec 05 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.3.rc1
- Changed devel summary and description
- Removed dots at end of summary
- Changed  last changlog-entry so it does not contain macros

* Thu Dec 04 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.2.rc1
- Changed devel-Requires to exact Epoch-Name-Version 
- Changed back to dams description

* Wed Dec  3 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.2.rc1
- Update to 1.0.0rc1
- Removed x86_64 -- currently not of interest
- first fedora.us Version based on rawhide package and
   Dams <anvil[AT]livna.org> Beta-Package alsa-lib-0.9.8-0.fdr.1.src.rpm

* Mon Dec  1 2003 Bill Nottingham <notting@redhat.com> 0.9.8-3
- fix various specfile issues, including License: tag (#111153)

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 0.9.8-2
- fixed dependant libraries check on x86_64

* Mon Nov  4 2003 Bill Nottingham <notting@redhat.com> - 0.9.8-1
- initial build, modify spec file from Matthias Saou
